Download it now!
Bug 55581 - too big character size mangles text contents, general wrong text size problems
Summary: too big character size mangles text contents, general wrong text size problems
Status: NEW
Alias: None
Product: Document Liberation Project
Classification: Unclassified
Component: libcdr (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-03 14:54 UTC by Rainer Bielefeld Retired
Modified: 2017-10-30 11:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Kit with Screenshot (1.44 MB, application/zip)
2012-10-03 14:54 UTC, Rainer Bielefeld Retired
Details
Sample 2 with too big characters (1.33 MB, application/vnd.corel-draw)
2012-10-04 14:14 UTC, Rainer Bielefeld Retired
Details
Sample 3 With too small Characters (1.34 MB, application/vnd.corel-draw)
2012-10-04 14:15 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-03 14:54:03 UTC
Created attachment 68042 [details]
Test Kit with Screenshot

Steps how to reproduce with parallel installation of Master "LOdev  3.7.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: c7e559]"  {tinderbox: @16, pull time 2012-10-03 05:46:26} on German WIN7 Home Premium (64bit):

1. open .cdr from attached test kit
   Expected: should look similar to this here
             <http://www.bielefeldundbuss.de/bilder/logo500T.gif>
   Actual: Completely mangled 

The problem is not the different front (spomething different from "Pump Triline", but the linefeed(s) in the text. The reason is the too small page size A4. If you resize to A0 and increase Element size proportional by clicking a control point at the right drag it with pushed mouse button to the right you will get a more or less normal view.

"LOGO0 (2).CDR" is a very old CorelDRAW 7 document, "LOGO0Times.cdr" has been created with CorelDRAW X6 from the old document, I replaced "Pump Triline" font by "Times New Roman". Strange, but something different:  "LOGO0Times.cdr" continues showing "Pump Triline" in LibO7, but CorelDRAW correctly shows TNR.
Comment 1 Rainer Bielefeld Retired 2012-10-04 14:12:25 UTC
May be my first analysis was a little too quick, I also see that mangled Test in a New samples document with sufficient page size.
Comment 2 Rainer Bielefeld Retired 2012-10-04 14:14:17 UTC
Created attachment 68082 [details]
Sample 2 with too big characters

In this Sample documents the big letters in the Logo have text size 78 when opened with LibO (instead of 58 in DorelDRAW
Comment 3 Rainer Bielefeld Retired 2012-10-04 14:15:57 UTC
Created attachment 68083 [details]
Sample 3 With too small Characters

Text in Text Boxes shows character size 12pt instead of 48
Comment 4 Fridrich Strba 2012-10-05 06:41:01 UTC
This document is a Corel Draw x6 document, where the new way of keeping character properties started: in a string that looks a bit xml-ish. We are not yet supporting that way of keeping them :(
So, more of a feature request then a bug, a workaround could be to save in some version like x3 file-format and there the sizes should be read right.
Comment 5 QA Administrators 2015-04-19 03:21:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-18